HTTP Methods
getBlocks
Returns a list of confirmed blocks between two slots.
POST
/
getBlocks
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getBlocks",
"params": [
5,
10,
{
"commitment": "finalized"
}
]
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getBlocks",
"params": [5, 10, { "commitment": "finalized" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: '1',
method: 'getBlocks',
params: [5, 10, {commitment: 'finalized'}]
})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": "1",
"result": [
5,
6,
7,
8,
9,
10
]
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
Start slot (required).
End slot (optional, must be ≤ 500,000 blocks from start slot).
The commitment level for the request.
confirmedfinalized
Authorizations
Body
application/json
The JSON-RPC protocol version.
Available options:
2.0 Example:
"2.0"
A unique identifier for the request.
Example:
"1"
The name of the RPC method to invoke.
Available options:
getBlocks Example:
"getBlocks"
Request parameters for the method.
Start slot (required).
Example:
5
Was this page helpful?
⌘I
getBlocks
